package com.changhu.module.superManagement.controller;

import com.baomidou.mybatisplus.extension.toolkit.Db;
import com.changhu.common.annotation.JsonBody;
import com.changhu.module.management.pojo.entity.EnterprisesUnit;
import com.changhu.module.superManagement.service.SuperIndexService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.List;

/**
 * @author 20252
 * @createTime 2024/11/21 上午11:31
 * @desc SuperIndexController...
 */
@JsonBody
@Tag(name = "超级后台首页")
@RequestMapping("/super/index")
public class SuperIndexController {

    @Autowired
    private SuperIndexService superIndexService;

    @Operation(summary = "企事业单位地图点位")
    @GetMapping("/mapPoint")
    public List<EnterprisesUnit> mapPoint() {
        return Db.lambdaQuery(EnterprisesUnit.class).list();
    }

}
