import {SystemMenu} from "@/types/config";

export const ROUTER_WHITE_LIST: string[] = ['/login', '/test', '/enterprise'];
export const CLIENT_TYPE: string = "MANAGEMENT_SECURITY";

export const UNIT_TYPE = {
    security: 'SECURITY_UNIT',
    police: 'POLICE_UNIT'
}
export const SYSTEM_MENUS: SystemMenu[] = [
    {
        title: '首页',
        name: 'index',
        path: '/index',
        icon: 'icon-shouye',
        type: "menu",
        component: () => import('@/views/index.vue')
    }, {
        title: '用户管理',
        name: 'userManagement',
        path: '/userManagement',
        icon: 'icon-yonghuguanli_huaban',
        type: 'dir',
        children: [
            {
                title: '后台用户',
                name: 'bgManagement',
                path: '/bgManagement',
                icon:'icon-guanlianbaoan',
                type: 'menu',
                component: () => import('@/views/userManagement/bgManagement/index.vue')
            }, {
                title: '小程序管理',
                name: 'uniManagement',
                path: '/uniManagement',
                icon:'icon-guanlianbaoan',
                type: 'menu',
                component: () => import('@/views/userManagement/uniManagement/index.vue')
            }
        ]
    },
    {
        title: '服务项目管理',
        name: 'serviceManagement',
        path: '/serviceManagement',
        icon:'icon-xiangmuguanli-',
        type: 'menu',
        component: () => import('@/views/serviceManagement/index.vue')
    }
]
